OpenGLRaw-1.5.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2013
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell98

Graphics.Rendering.OpenGL.Raw.ARB.TimerQuery

Contents

- Functions
- Tokens

Description

All raw functions, tokens and types from the ARB_timer_query, see http://www.opengl.org/registry/specs/ARB/timer_query.txt.

Synopsis

- glQueryCounter :: GLuint -> GLenum -> IO ()
- glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()
- glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()
- gl_TIME_ELAPSED :: GLenum
- gl_TIMESTAMP :: GLenum

# Functions

glQueryCounter :: GLuint -> GLenum -> IO ()

glGetQueryObjecti64v :: GLuint -> GLenum -> Ptr GLint64 -> IO ()

glGetQueryObjectui64v :: GLuint -> GLenum -> Ptr GLuint64 -> IO ()

# Tokens

gl_TIME_ELAPSED :: GLenum

gl_TIMESTAMP :: GLenum